Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine
Class JasperRunManager

    java.lang.Object
      net.sf.jasperreports.engine.JasperRunManager

    public final class JasperRunManager

extends java.lang.Object

Fa�ade class for the JasperReports engine.

Version:
  $Id: JasperRunManager.java 3719 2010-04-09 12:04:52Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Method Summary
`static java.lang.String` | `runReportToHtmlFile(java.lang.String sourceFileName, java.util.Map params)` Fills a report and saves it directly into a HTML file.
`static java.lang.String` | `runReportToHtmlFile(java.lang.String sourceFileName, java.util.Map params, java.sql.Connection conn)` Fills a report and saves it directly into a HTML file.
`static java.lang.String` | `runReportToHtmlFile(java.lang.String sourceFileName, java.util.Map params, JRDataSource jrDataSource)` Fills a report and saves it directly into a HTML file.
`static void` | `runReportToHtmlFile(java.lang.String sourceFileName, java.lang.String destFileName, java.util.Map parameters)` Fills a report and saves it directly into a HTML file.
`static void` | `runReportToHtmlFile(java.lang.String sourceFileName, java.lang.String destFileName, java.util.Map parameters, java.sql.Connection conn)` Fills a report and saves it directly into a HTML file.
`static void` | `runReportToHtmlFile(java.lang.String sourceFileName, java.lang.String destFileName, java.util.Map parameters, JRDataSource jrDataSource)` Fills a report and saves it directly into a HTML file.
`static byte[]` | `runReportToPdf(java.io.InputStream inputStream, java.util.Map parameters)` Fills a report and returns byte array object containing the report in PDF format.
`static byte[]` | `runReportToPdf(java.io.InputStream inputStream, java.util.Map parameters, java.sql.Connection conn)` Fills a report and returns byte array object containing the report in PDF format.
`static byte[]` | `runReportToPdf(java.io.InputStream inputStream, java.util.Map parameters, JRDataSource jrDataSource)` Fills a report and returns byte array object containing the report in PDF format.
`static byte[]` | `runReportToPdf(JasperReport jasperReport, java.util.Map parameters)` Fills a report and returns byte array object containing the report in PDF format.
`static byte[]` | `runReportToPdf(JasperReport jasperReport, java.util.Map parameters, java.sql.Connection conn)` Fills a report and returns byte array object containing the report in PDF format.
`static byte[]` | `runReportToPdf(JasperReport jasperReport, java.util.Map parameters, JRDataSource jrDataSource)` Fills a report and returns byte array object containing the report in PDF format.
`static byte[]` | `runReportToPdf(java.lang.String sourceFileName, java.util.Map parameters)` Fills a report and returns byte array object containing the report in PDF format.
`static byte[]` | `runReportToPdf(java.lang.String sourceFileName, java.util.Map parameters, java.sql.Connection conn)` Fills a report and returns byte array object containing the report in PDF format.
`static byte[]` | `runReportToPdf(java.lang.String sourceFileName, java.util.Map parameters, JRDataSource jrDataSource)` Fills a report and sends it to an output stream in PDF format.
`static java.lang.String` | `runReportToPdfFile(java.lang.String sourceFileName, java.util.Map params)` Fills a report and saves it directly into a PDF file.
`static java.lang.String` | `runReportToPdfFile(java.lang.String sourceFileName, java.util.Map params, java.sql.Connection conn)` Fills a report and saves it directly into a PDF file.
`static java.lang.String` | `runReportToPdfFile(java.lang.String sourceFileName, java.util.Map params, JRDataSource jrDataSource)` Fills a report and saves it directly into a PDF file.
`static void` | `runReportToPdfFile(java.lang.String sourceFileName, java.lang.String destFileName, java.util.Map parameters)` Fills a report and saves it directly into a PDF file.
`static void` | `runReportToPdfFile(java.lang.String sourceFileName, java.lang.String destFileName, java.util.Map parameters, java.sql.Connection conn)` Fills a report and saves it directly into a PDF file.
`static void` | `runReportToPdfFile(java.lang.String sourceFileName, java.lang.String destFileName, java.util.Map parameters, JRDataSource jrDataSource)` Fills a report and saves it directly into a PDF file.
`static void` | `runReportToPdfStream(java.io.InputStream inputStream, java.io.OutputStream outputStream, java.util.Map parameters)` Fills a report and sends it directly to an OutputStream in PDF format.
`static void` | `runReportToPdfStream(java.io.InputStream inputStream, java.io.OutputStream outputStream, java.util.Map parameters, java.sql.Connection conn)` Fills a report and sends it directly to an OutputStream in PDF format.
`static void` | `runReportToPdfStream(java.io.InputStream inputStream, java.io.OutputStream outputStream, java.util.Map parameters, JRDataSource jrDataSource)` Fills a report and sends it directly to an OutputStream in PDF format.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### runReportToPdfFile

    public static java.lang.String runReportToPdfFile(java.lang.String sourceFileName,
                                                      java.util.Map params,
                                                      java.sql.Connection conn)
                                               throws JRException

  Fills a report and saves it directly into a PDF file. The intermediate JasperPrint object is not saved on disk.

  Throws:
    `JRException`

### runReportToPdfFile

    public static java.lang.String runReportToPdfFile(java.lang.String sourceFileName,
                                                      java.util.Map params)
                                               throws JRException

  Fills a report and saves it directly into a PDF file. The intermediate JasperPrint object is not saved on disk.

  Parameters:
    `sourceFileName` - the name of the compiled report file
    `params` - the parameters map
  Returns:
    the name of the generated PDF file
  Throws:
    `JRException`
  See Also:
    `JRFiller.fillReport(JasperReport, Map)`

### runReportToPdfFile

    public static void runReportToPdfFile(java.lang.String sourceFileName,
                                          java.lang.String destFileName,
                                          java.util.Map parameters,
                                          java.sql.Connection conn)
                                   throws JRException

  Fills a report and saves it directly into a PDF file. The intermediate JasperPrint object is not saved on disk.

  Throws:
    `JRException`

### runReportToPdfFile

    public static void runReportToPdfFile(java.lang.String sourceFileName,
                                          java.lang.String destFileName,
                                          java.util.Map parameters)
                                   throws JRException

  Fills a report and saves it directly into a PDF file. The intermediate JasperPrint object is not saved on disk.

  Parameters:
    `sourceFileName` - source file containing the compile report design
    `destFileName` - PDF destination file name
    `parameters` - report parameters map
  Throws:
    `JRException`
  See Also:
    `JRFiller.fillReport(JasperReport, Map)`

### runReportToPdfStream

    public static void runReportToPdfStream(java.io.InputStream inputStream,
                                            java.io.OutputStream outputStream,
                                            java.util.Map parameters,
                                            java.sql.Connection conn)
                                     throws JRException

  Fills a report and sends it directly to an OutputStream in PDF format. The intermediate JasperPrint object is not saved on disk.

  Throws:
    `JRException`

### runReportToPdfStream

    public static void runReportToPdfStream(java.io.InputStream inputStream,
                                            java.io.OutputStream outputStream,
                                            java.util.Map parameters)
                                     throws JRException

  Fills a report and sends it directly to an OutputStream in PDF format. The intermediate JasperPrint object is not saved on disk.

  Parameters:
    `inputStream` - compiled report input stream
    `outputStream` - PDF output stream
    `parameters` - parameters map
  Throws:
    `JRException`
  See Also:
    `JRFiller.fillReport(JasperReport, Map)`

### runReportToPdf

    public static byte[] runReportToPdf(java.lang.String sourceFileName,
                                        java.util.Map parameters,
                                        java.sql.Connection conn)
                                 throws JRException

  Fills a report and returns byte array object containing the report in PDF format. The intermediate JasperPrint object is not saved on disk.

  Throws:
    `JRException`

### runReportToPdf

    public static byte[] runReportToPdf(java.lang.String sourceFileName,
                                        java.util.Map parameters)
                                 throws JRException

  Fills a report and returns byte array object containing the report in PDF format. The intermediate JasperPrint object is not saved on disk.

  Parameters:
    `sourceFileName` - source file containing the compile report design
    `parameters` - report parameters map
  Returns:
    binary PDF output
  Throws:
    `JRException`
  See Also:
    `JRFiller.fillReport(JasperReport, Map)`

### runReportToPdf

    public static byte[] runReportToPdf(java.io.InputStream inputStream,
                                        java.util.Map parameters,
                                        java.sql.Connection conn)
                                 throws JRException

  Fills a report and returns byte array object containing the report in PDF format. The intermediate JasperPrint object is not saved on disk.

  Throws:
    `JRException`

### runReportToPdf

    public static byte[] runReportToPdf(java.io.InputStream inputStream,
                                        java.util.Map parameters)
                                 throws JRException

  Fills a report and returns byte array object containing the report in PDF format. The intermediate JasperPrint object is not saved on disk.

  Parameters:
    `inputStream` - input stream to read the compiled report design object from
    `parameters` - report parameters map
  Returns:
    binary PDF output
  Throws:
    `JRException`
  See Also:
    `JRFiller.fillReport(JasperReport, Map)`

### runReportToPdf

    public static byte[] runReportToPdf(JasperReport jasperReport,
                                        java.util.Map parameters,
                                        java.sql.Connection conn)
                                 throws JRException

  Fills a report and returns byte array object containing the report in PDF format. The intermediate JasperPrint object is not saved on disk.

  Throws:
    `JRException`

### runReportToPdf

    public static byte[] runReportToPdf(JasperReport jasperReport,
                                        java.util.Map parameters)
                                 throws JRException

  Fills a report and returns byte array object containing the report in PDF format. The intermediate JasperPrint object is not saved on disk.

  Parameters:
    `jasperReport` - the compiled report
    `parameters` - the parameters map
  Returns:
    binary PDF output
  Throws:
    `JRException`
  See Also:
    `JRFiller.fillReport(JasperReport, Map)`

### runReportToPdfFile

    public static java.lang.String runReportToPdfFile(java.lang.String sourceFileName,
                                                      java.util.Map params,
                                                      JRDataSource jrDataSource)
                                               throws JRException

  Fills a report and saves it directly into a PDF file. The intermediate JasperPrint object is not saved on disk.

  Throws:
    `JRException`

### runReportToPdfFile

    public static void runReportToPdfFile(java.lang.String sourceFileName,
                                          java.lang.String destFileName,
                                          java.util.Map parameters,
                                          JRDataSource jrDataSource)
                                   throws JRException

  Fills a report and saves it directly into a PDF file. The intermediate JasperPrint object is not saved on disk.

  Throws:
    `JRException`

### runReportToPdfStream

    public static void runReportToPdfStream(java.io.InputStream inputStream,
                                            java.io.OutputStream outputStream,
                                            java.util.Map parameters,
                                            JRDataSource jrDataSource)
                                     throws JRException

  Fills a report and sends it directly to an OutputStream in PDF format. The intermediate JasperPrint object is not saved on disk.

  Throws:
    `JRException`

### runReportToPdf

    public static byte[] runReportToPdf(java.lang.String sourceFileName,
                                        java.util.Map parameters,
                                        JRDataSource jrDataSource)
                                 throws JRException

  Fills a report and sends it to an output stream in PDF format. The intermediate JasperPrint object is not saved on disk.

  Throws:
    `JRException`

### runReportToPdf

    public static byte[] runReportToPdf(java.io.InputStream inputStream,
                                        java.util.Map parameters,
                                        JRDataSource jrDataSource)
                                 throws JRException

  Fills a report and returns byte array object containing the report in PDF format. The intermediate JasperPrint object is not saved on disk.

  Throws:
    `JRException`

### runReportToPdf

    public static byte[] runReportToPdf(JasperReport jasperReport,
                                        java.util.Map parameters,
                                        JRDataSource jrDataSource)
                                 throws JRException

  Fills a report and returns byte array object containing the report in PDF format. The intermediate JasperPrint object is not saved on disk.

  Throws:
    `JRException`

### runReportToHtmlFile

    public static java.lang.String runReportToHtmlFile(java.lang.String sourceFileName,
                                                       java.util.Map params,
                                                       java.sql.Connection conn)
                                                throws JRException

  Fills a report and saves it directly into a HTML file. The intermediate JasperPrint object is not saved on disk.

  Throws:
    `JRException`

### runReportToHtmlFile

    public static java.lang.String runReportToHtmlFile(java.lang.String sourceFileName,
                                                       java.util.Map params)
                                                throws JRException

  Fills a report and saves it directly into a HTML file. The intermediate JasperPrint object is not saved on disk.

  Parameters:
    `sourceFileName` - the name of the compiled report file
    `params` - the parameters map
  Returns:
    the name of the generated HTML file
  Throws:
    `JRException`
  See Also:
    `JRFiller.fillReport(JasperReport, Map)`

### runReportToHtmlFile

    public static void runReportToHtmlFile(java.lang.String sourceFileName,
                                           java.lang.String destFileName,
                                           java.util.Map parameters,
                                           java.sql.Connection conn)
                                    throws JRException

  Fills a report and saves it directly into a HTML file. The intermediate JasperPrint object is not saved on disk.

  Throws:
    `JRException`

### runReportToHtmlFile

    public static void runReportToHtmlFile(java.lang.String sourceFileName,
                                           java.lang.String destFileName,
                                           java.util.Map parameters)
                                    throws JRException

  Fills a report and saves it directly into a HTML file. The intermediate JasperPrint object is not saved on disk.

  Parameters:
    `sourceFileName` - source file containing the compile report design
    `destFileName` - name of the destination HTML file
    `parameters` - report parameters map
  Throws:
    `JRException`
  See Also:
    `JRFiller.fillReport(JasperReport, Map)`

### runReportToHtmlFile

    public static java.lang.String runReportToHtmlFile(java.lang.String sourceFileName,
                                                       java.util.Map params,
                                                       JRDataSource jrDataSource)
                                                throws JRException

  Fills a report and saves it directly into a HTML file. The intermediate JasperPrint object is not saved on disk.

  Throws:
    `JRException`

### runReportToHtmlFile

    public static void runReportToHtmlFile(java.lang.String sourceFileName,
                                           java.lang.String destFileName,
                                           java.util.Map parameters,
                                           JRDataSource jrDataSource)
                                    throws JRException

  Fills a report and saves it directly into a HTML file. The intermediate JasperPrint object is not saved on disk.

  Throws:
    `JRException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com